sc::PowellUpdate(3)

NAME
sc::PowellUpdate - The PowellUpdate class is used to specify a Powell hessian update.

SYNOPSIS

#include <update.h>

Inherits sc::HessianUpdate.

  Public Methods
PowellUpdate ()
PowellUpdate (StateIn &)
PowellUpdate (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
~PowellUpdate ()
void update (const RefSymmSCMatrix &ihessian, const Ref< Function > &func, const RefSCVector &xnew, const RefSCVector &gnew)
void apply_transform (const Ref< NonlinearTransform > &)

  Protected Attributes
RefSCVector xprev
RefSCVector gprev

DETAILED DESCRIPTION

The PowellUpdate class is used to specify a Powell hessian update.

This hessian update method is the recommended method for use with transition state searches (the EFCOpt class can be used for transition state searches).

MEMBER FUNCTION DOCUMENTATION

  void sc::PowellUpdate::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::HessianUpdate.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.